# Get generalProductPostingGroups
Retrieves the properties and relationships of a general product posting group object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
GET businesscentralPrefix/companies({id})/generalProductPostingGroups({id})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a ```200 OK``` response code and a generalProductPostingGroup object in the response body.
## Example
Request
Here's an example of the request.
```json
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/generalProductPostingGroups({id})
```
Response
Here's an example of the response.
```json
{
"@odata.etag": "W/\"JzQ0O1RkZjFGSzJKcXR3VU5QTmNyMUNuUjltT2Z5b1FtWjV5eGdndHNKcXN5bFE9MTswMDsn\"",
"id": "50bd9bdb-51ff-eb11-bb76-000d3a220646",
"code": "MISC",
"description": "Miscellaneous with VAT",
"defaultVATProductPostingGroup": "VAT25",
"autoInsertDefault": true
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_generalproductpostinggroup

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_generalproductpostinggroup_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_generalproductpostinggroup_get/
